Subject: Re: B20: Changes in #! execution
From: [email-masked] (Victor Ott)

26 Nov 1998 16:09:02 -0800
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
To: [email-masked]

Warren Jones wrote:
> I've noticed two changes in how scripts starting with "#!" are
> handled in B20:
>     1. This no longer works:
>            #! /bin/sh
>        ... if "/bin/sh.exe" is a symbolic link.  I found
[...]
>     2. Something like this no longer works:
>            #! perl
>        The interpreter (e.g. "perl") must now be specified
>        with a full path:  Cygwin will no longer use $PATH
[...]

B20, NT4SP3
I have the same problem. Lots of code (in makefiles) like
        ./$(CODE_DIR)/gen_oem_beam.sh $@
has to be changed to
        bash ./$(CODE_DIR)/gen_oem_beam.sh $@
or
I have to specify the full path to the command interpreter in the shebang.

Really thinking to switch back to B19.

Thanks for any help,
Victor
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".